%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  AutoPlots
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Creating Echarts Visualizations as Easy as Possible

License:          AGPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.1.0
Requires:         R-core >= 4.1.0
BuildArch:        noarch
BuildRequires:    R-CRAN-combinat 
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-e1071 
BuildRequires:    R-CRAN-echarts4r 
BuildRequires:    R-CRAN-lubridate 
BuildRequires:    R-CRAN-nortest 
BuildRequires:    R-CRAN-quanteda 
BuildRequires:    R-CRAN-quanteda.textstats 
BuildRequires:    R-CRAN-scales 
BuildRequires:    R-stats 
BuildRequires:    R-utils 
Requires:         R-CRAN-combinat 
Requires:         R-CRAN-data.table 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-e1071 
Requires:         R-CRAN-echarts4r 
Requires:         R-CRAN-lubridate 
Requires:         R-CRAN-nortest 
Requires:         R-CRAN-quanteda 
Requires:         R-CRAN-quanteda.textstats 
Requires:         R-CRAN-scales 
Requires:         R-stats 
Requires:         R-utils 

%description
Create beautiful and interactive visualizations in a single function call.
The 'data.table' package is utilized to perform the data wrangling
necessary to prepare your data for the plot types you wish to build, along
with allowing fast processing for big data. There are two broad classes of
plots available: standard plots and machine learning evaluation plots.
There are lots of parameters available in each plot type function for
customizing the plots (such as faceting) and data wrangling (such as
variable transformations and aggregation).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
